Bug 63870 - Compilation now always dies with segmentation violation
Compilation now always dies with segmentation violation
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2002-04-19 15:59 EDT by Ben Opatowski
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-15 14:59:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Opatowski 2002-04-19 15:59:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0; ZDNetSL)

Description of problem:
I have a large C++ application > 6000 lines and am using Qt 2.3.1.
Using the same makefile all along.  As the program grew, the changes for the 
compile terminating also grew.  I can no longer compile without an internal 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual Results:  A various random points in my compilation the g++ compile 
the following message: Internal Error - Segmentation violation

Expected Results:  The compiler should not throw a segmentation error.

Additional info:
Comment 1 Jakub Jelinek 2002-04-19 16:52:21 EDT
If you have a reproduceable case, please attach preprocessed source for it
plus options used here. If it is random non-reproduceable, then either
you run out of memory/swap, or you have hardware problems.
Comment 2 Ben Opatowski 2002-04-23 20:48:56 EDT
I switched hard drives and the problem has seemed to go away.  I'll wait a 
little while before I think this should be closed.

Note You need to log in before you can comment on or make changes to this bug.